### Method

# Vte Terminal dup_termprop_string

since: 0.78

#### Declaration [src]

    char*
    vte_terminal_dup_termprop_string (
      VteTerminal* terminal,
      const char* prop,
      size_t* size
    )

#### Description [src]

Returns the value of a `VTE_PROPERTY_STRING` termprop, or `NULL` if `prop` is unset, or `prop` is not a registered property.

Available since: 0.78

#### Parameters

`prop`

  Type: `const char*`

  A termprop name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `size_t*`

  A location to store the string length, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `char*`

The property’s value, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.